package com.jeeplus.modules.workprojectcompletion.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workprojectcompletion.entity.WorkProjectCompletionInfo;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@MyBatisDao
public interface WorkProjectCompletionDao extends CrudDao<WorkProjectCompletionInfo> {
    public void  updateProcessInstanceId(WorkProjectCompletionInfo workProjectCompletionInfo);

    public WorkProjectCompletionInfo getByProcessInstanceId(String processInstanceId);
    public WorkProjectCompletionInfo getByProjectId(String projectId);

    public List<WorkProjectCompletionInfo> findWaitAndFinishList(Map<Object,Object> map);

    public int  insert(WorkProjectCompletionInfo workProjectCompletionInfo);
    public int  update(WorkProjectCompletionInfo workProjectCompletionInfo);
    public int  updateStatus(WorkProjectCompletionInfo workProjectCompletionInfo);

    public String   queryStoreData(String projectId);
    public void deleteProject(String projectId);

    public int updateFlag(WorkProjectCompletionInfo workProjectCompletionInfo);

    public int updateWorkFullManage(HashMap<Object,Object> map);
}
